<?php
/**
 * "TRAVELbook - JOOMLA! on Tour" - http://www.demo-page.de
 *
 * @version         $Id: admin tables categoris.php 001 2010-01-22 12:00:00$
 * @copyright       Copyright 2009-2010, Peter H&ouml;cherl
 * @license         CC-A 3.0 Unported/tweetLA-C(all media,html,css,js,...) and GNU/GPL(php), 
                    - see http://www.demo-page.de/en/license-conditions.html
 * @link            http://www.demo-page.de
 * @package         tweetLA!
 * @revision        $Revision: 001 $
 * @lastmodified    $Date: 2010-01-22 12:00:00 $
*/

/*** No direct access ***/
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Travelbook Table class
 *
 * @package    Travelbook
 * @subpackage administrator
 */
class TableCategories extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = 0;

	/**
	 * @var string
	 */
	var $parent_id = 0;
	var $title = '';
	var $name = '';
	var $alias = '';
	var $image = '';
	var $section = '';
	var $image_position = 'left';
	var $description = '';
	var $published = 0;
	var $checked_out = 0;
	var $checked_out_time = 0;
	var $editor = NULL;
	var $ordering = 0;
	var $access = 0;
	var $count = 0;
	var $params = '';

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableCategories(& $db) {
		parent::__construct('#__categories', 'id', $db);
	}
}