<?php
/**
 * "TRAVELbook - JOOMLA! on Tour" - http://www.demo-page.de
 *
 * @version         $Id: admin tables mail.php 001 2010-01-22 12:00:00$
 * @copyright       Copyright 2009-2010, Peter H&ouml;cherl
 * @license         CC-A 3.0 Unported/tweetLA-C(all media,html,css,js,...) and GNU/GPL(php), 
                    - see http://www.demo-page.de/en/license-conditions.html
 * @link            http://www.demo-page.de
 * @package         tweetLA!
 * @revision        $Revision: 001 $
 * @lastmodified    $Date: 2010-01-22 12:00:00 $
*/

/*** No direct access ***/
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Travelbook Table class
 *
 * @package    Travelbook
 * @subpackage administrator
 */
class TableMail extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = 0;

	/**
	 * @var string
	 */
	var $mailbody = '';
	var $published = 0;
	var $from = '';
	var $fromname = '';
	var $subject = '';
	var $cc = NULL;
	var $bcc = NULL;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableMail(& $db) {
		parent::__construct('#__tb_mails', 'id', $db);
	}
}