<?php
/**
 * "TRAVELbook - JOOMLA! on Tour" - http://www.demo-page.de
 *
 * @version         $Id: admin tables client.php 001 2010-01-22 12:00:00$
 * @copyright       Copyright 2009-2010, Peter H&ouml;cherl
 * @license         CC-A 3.0 Unported/tweetLA-C(all media,html,css,js,...) and GNU/GPL(php), 
                    - see http://www.demo-page.de/en/license-conditions.html
 * @link            http://www.demo-page.de
 * @package         tweetLA!
 * @revision        $Revision: 001 $
 * @lastmodified    $Date: 2010-01-22 12:00:00 $
*/

/*** No direct access ***/
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Travelbook Table class
 *
 * @package    Travelbook
 * @subpackage administrator
 */
class TableClient extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = 0;

	/**
	 * @var string
	 */
	var $title = '';
	var $first_name = '';
	var $last_name = '';
	var $birthdate = '';
	var $street = '';
	var $cip = '';
	var $city = '';
	var $country = '';
	var $telefone = '';
	var $telefax = '';
	var $email = '';
	var $mobile = '';
	var $remark = '';
	var $published = 0;
	var $ordering = 0;
	var $timestamp = '';
	var $question1 = '';
	var $question2 = '';
	var $single = 0;
	var $double = 0;
	var $feeder = 0;
	var $hotel = 0;
	var $total = 0.00;
	var $services = '';
	var $ip = '255.255.255.255';

//	var $timestamp = gmdate('Y-m-d H:i:s');

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableClient(& $db) {
		parent::__construct('#__tb_clients', 'id', $db);
	}
}