<?php
/**
 * "tweetLA! - Twitter Component for Joomla! " - http://www.demo-page.de
 *
 * @version         $Id: admin tables travelbook.php 001 2009-07-01 12:00:00$
 * @copyright       Copyright 2009-2009, Peter H&ouml;cherl
 * @license         CC-A 3.0 Unported/tweetLA-C(all media,html,css,js,...) and GNU/GPL(php), 
                    - see http://www.demo-page.de/en/license-conditions.html
 * @link            http://www.demo-page.de
 * @package         tweetLA!
 * @revision        $Revision: 001 $
 * @lastmodified    $Date: 2009-07-01 12:00:00$
*/

/*** No direct access ***/
defined( '_JEXEC' ) or die( 'Restricted access' );

/**
 * Travelbook Table class
 *
 * @package    Travelbook
 * @subpackage administrator
 */
class TableTravelbook extends JTable
{
	/**
	 * Primary Key
	 *
	 * @var int
	 */
	var $id = null;

	/**
	 * @var string
	 */
	var $email = '';
	var $tweet = '';
	var $title = '';
	var $firstname = '';
	var $lastname = '';
	var $newsletter = '';
	var $date_create = NULL;
	var $userid = NULL;
	var $followerid = NULL;

	/**
	 * Constructor
	 *
	 * @param object Database connector object
	 */
	function TableTravelbook(& $db) {
		parent::__construct('#__tw_tweet', 'id', $db);
	}
}